snapcraft-version: 7.5.8
snapcraft-started-at: '2025-01-23T20:30:04.794272Z'
snapcraft-os-release-id: ubuntu
snapcraft-os-release-version-id: '18.04'
name: core18
adopt-info: bootstrap
summary: Runtime environment based on Ubuntu 18.04
description: 'The base snap based on the Ubuntu 18.04 release.

  '
confinement: strict
type: base
build-base: core18
parts:
  bootstrap:
    build-packages:
    - git
    - make
    - python3-debian
    - python3-requests
    - python3-yaml
    - shellcheck
    - wget
    installed-packages:
    - adduser=3.116ubuntu1
    - advancecomp=2.1-1ubuntu0.18.04.3
    - apparmor=2.12-4ubuntu5.3+esm1
    - apt=1.6.18~esm1
    - base-files=10.1ubuntu2.12
    - base-passwd=3.5.44
    - bash=4.4.18-2ubuntu1.3
    - binutils-common=2.30-21ubuntu1~18.04.9+esm3
    - binutils-x86-64-linux-gnu=2.30-21ubuntu1~18.04.9+esm3
    - binutils=2.30-21ubuntu1~18.04.9+esm3
    - bsdutils=1:2.31.1-0.4ubuntu3.7
    - build-essential=12.4ubuntu1
    - bzip2=1.0.6-8.1ubuntu0.2
    - ca-certificates=202402031ubuntu0.18.04.1+esm1
    - coreutils=8.28-1ubuntu1
    - cpp-7=7.5.0-3ubuntu1~18.04
    - cpp=4:7.4.0-1ubuntu2.3
    - dash=0.5.8-2.10
    - dbus-user-session=1.12.2-1ubuntu1.4
    - dbus=1.12.2-1ubuntu1.4
    - debconf=1.5.66ubuntu1
    - debianutils=4.8.4
    - diffutils=1:3.6-1
    - dpkg-dev=1.19.0.5ubuntu2.4
    - dpkg=1.19.0.5ubuntu2.4
    - e2fsprogs=1.44.1-1ubuntu1.4
    - fakeroot=1.22-2ubuntu1
    - fdisk=2.31.1-0.4ubuntu3.7
    - findutils=4.6.0+git+20170828-2
    - fuse=2.9.7-1ubuntu1
    - g++-7=7.5.0-3ubuntu1~18.04
    - g++=4:7.4.0-1ubuntu2.3
    - gcc-7-base=7.5.0-3ubuntu1~18.04
    - gcc-7=7.5.0-3ubuntu1~18.04
    - gcc-8-base=8.4.0-1ubuntu1~18.04
    - gcc=4:7.4.0-1ubuntu2.3
    - git-man=1:2.17.1-1ubuntu0.18+esm1
    - git=1:2.17.1-1ubuntu0.18+esm1
    - gpg-agent=2.2.4-1ubuntu1.6
    - gpg=2.2.4-1ubuntu1.6
    - gpgconf=2.2.4-1ubuntu1.6
    - gpgv=2.2.4-1ubuntu1.6
    - grep=3.1-2build1
    - gzip=1.6-5ubuntu1.2
    - hostname=3.20
    - init-system-helpers=1.51
    - init=1.51
    - libacl1=2.2.52-3build1
    - libapparmor1=2.12-4ubuntu5.3+esm1
    - libapt-pkg5.0=1.6.18~esm1
    - libargon2-0=0~20161029-1.1
    - libasan4=7.5.0-3ubuntu1~18.04
    - libasn1-8-heimdal=7.5.0+dfsg-1ubuntu0.4
    - libassuan0=2.5.1-2
    - libatomic1=8.4.0-1ubuntu1~18.04
    - libattr1=1:2.4.47-2build1
    - libaudit-common=1:2.8.2-1ubuntu1.1
    - libaudit1=1:2.8.2-1ubuntu1.1
    - libbinutils=2.30-21ubuntu1~18.04.9+esm3
    - libblkid1=2.31.1-0.4ubuntu3.7
    - libbsd0=0.8.7-1ubuntu0.1
    - libbz2-1.0=1.0.6-8.1ubuntu0.2
    - libc-bin=2.27-3ubuntu1.6+esm3
    - libc-dev-bin=2.27-3ubuntu1.6+esm3
    - libc6-dev=2.27-3ubuntu1.6+esm3
    - libc6=2.27-3ubuntu1.6+esm3
    - libcap-ng0=0.7.7-3.1
    - libcap2=1:2.25-1.2ubuntu0.1~esm1
    - libcc1-0=8.4.0-1ubuntu1~18.04
    - libcilkrts5=7.5.0-3ubuntu1~18.04
    - libcom-err2=1.44.1-1ubuntu1.4
    - libcryptsetup12=2:2.0.2-1ubuntu1.2
    - libcurl3-gnutls=7.58.0-2ubuntu3.24+esm5
    - libdb5.3=5.3.28-13.1ubuntu1.1
    - libdbus-1-3=1.12.2-1ubuntu1.4
    - libdebconfclient0=0.213ubuntu1
    - libdevmapper1.02.1=2:1.02.145-4.1ubuntu3.18.04.3
    - libdpkg-perl=1.19.0.5ubuntu2.4
    - libedit2=3.1-20170329-1
    - liberror-perl=0.17025-1
    - libexpat1=2.2.5-3ubuntu0.9+esm2
    - libext2fs2=1.44.1-1ubuntu1.4
    - libfakeroot=1.22-2ubuntu1
    - libfdisk1=2.31.1-0.4ubuntu3.7
    - libffi6=3.2.1-8
    - libfuse2=2.9.7-1ubuntu1
    - libgcc-7-dev=7.5.0-3ubuntu1~18.04
    - libgcc1=1:8.4.0-1ubuntu1~18.04
    - libgcrypt20=1.8.1-4ubuntu1.3
    - libgdbm-compat4=1.14.1-6
    - libgdbm5=1.14.1-6
    - libgmp10=2:6.1.2+dfsg-2ubuntu0.1
    - libgnutls30=3.5.18-1ubuntu1.6+esm1
    - libgomp1=8.4.0-1ubuntu1~18.04
    - libgpg-error0=1.27-6
    - libgssapi-krb5-2=1.16-2ubuntu0.4+esm2
    - libgssapi3-heimdal=7.5.0+dfsg-1ubuntu0.4
    - libhcrypto4-heimdal=7.5.0+dfsg-1ubuntu0.4
    - libheimbase1-heimdal=7.5.0+dfsg-1ubuntu0.4
    - libheimntlm0-heimdal=7.5.0+dfsg-1ubuntu0.4
    - libhogweed4=3.4.1-0ubuntu0.18.04.1
    - libhx509-5-heimdal=7.5.0+dfsg-1ubuntu0.4
    - libidn11=1.33-2.1ubuntu1.2
    - libidn2-0=2.0.4-1.1ubuntu0.2
    - libip4tc0=1.6.1-2ubuntu2.1
    - libisl19=0.19-1
    - libitm1=8.4.0-1ubuntu1~18.04
    - libjson-c3=0.12.1-1.3ubuntu0.3
    - libk5crypto3=1.16-2ubuntu0.4+esm2
    - libkeyutils1=1.5.9-9.2ubuntu2.1
    - libkmod2=24-1ubuntu3.5
    - libkrb5-26-heimdal=7.5.0+dfsg-1ubuntu0.4
    - libkrb5-3=1.16-2ubuntu0.4+esm2
    - libkrb5support0=1.16-2ubuntu0.4+esm2
    - libldap-2.4-2=2.4.45+dfsg-1ubuntu1.11+esm1
    - libldap-common=2.4.45+dfsg-1ubuntu1.11+esm1
    - liblockfile-bin=1.14-1.1
    - liblockfile1=1.14-1.1
    - liblsan0=8.4.0-1ubuntu1~18.04
    - liblz4-1=0.0~r131-2ubuntu3.1
    - liblzma5=5.2.2-1.3ubuntu0.1
    - liblzo2-2=2.08-1.2
    - libmount1=2.31.1-0.4ubuntu3.7
    - libmpc3=1.1.0-1
    - libmpdec2=2.4.2-1ubuntu1
    - libmpfr6=4.0.1-1
    - libmpx2=8.4.0-1ubuntu1~18.04
    - libncurses5=6.1-1ubuntu1.18.04.1+esm2
    - libncursesw5=6.1-1ubuntu1.18.04.1+esm2
    - libnettle6=3.4.1-0ubuntu0.18.04.1
    - libnghttp2-14=1.30.0-1ubuntu1+esm2
    - libnpth0=1.5-3
    - libp11-kit0=0.23.9-2ubuntu0.1
    - libpam-modules-bin=1.1.8-3.6ubuntu2.18.04.6+esm1
    - libpam-modules=1.1.8-3.6ubuntu2.18.04.6+esm1
    - libpam-runtime=1.1.8-3.6ubuntu2.18.04.6+esm1
    - libpam-systemd=237-3ubuntu10.57+esm2
    - libpam0g=1.1.8-3.6ubuntu2.18.04.6+esm1
    - libpcre3=2:8.39-9ubuntu0.1
    - libperl5.26=5.26.1-6ubuntu0.7
    - libpng16-16=1.6.34-1ubuntu0.18.04.2
    - libprocps6=2:3.3.12-3ubuntu1.2+esm1
    - libpsl5=0.19.1-5build1
    - libpython3-stdlib=3.6.7-1~18.04
    - libpython3.6-minimal=3.6.9-1~18.04ubuntu1.13+esm2
    - libpython3.6-stdlib=3.6.9-1~18.04ubuntu1.13+esm2
    - libquadmath0=8.4.0-1ubuntu1~18.04
    - libreadline7=7.0-3
    - libroken18-heimdal=7.5.0+dfsg-1ubuntu0.4
    - librtmp1=2.4+20151223.gitfa8646d.1-1
    - libsasl2-2=2.1.27~101-g0780600+dfsg-3ubuntu2.4
    - libsasl2-modules-db=2.1.27~101-g0780600+dfsg-3ubuntu2.4
    - libseccomp2=2.5.1-1ubuntu1~18.04.2
    - libselinux1=2.7-2build2
    - libsemanage-common=2.7-2build2
    - libsemanage1=2.7-2build2
    - libsepol1=2.7-1ubuntu0.1
    - libsmartcols1=2.31.1-0.4ubuntu3.7
    - libsqlite3-0=3.22.0-1ubuntu0.7+esm1
    - libss2=1.44.1-1ubuntu1.4
    - libssl1.0.0=1.0.2n-1ubuntu5.13+esm1
    - libssl1.1=1.1.1-1ubuntu2.1~18.04.23+esm5
    - libstdc++-7-dev=7.5.0-3ubuntu1~18.04
    - libstdc++6=8.4.0-1ubuntu1~18.04
    - libsystemd0=237-3ubuntu10.57+esm2
    - libtasn1-6=4.13-2
    - libtinfo5=6.1-1ubuntu1.18.04.1+esm2
    - libtsan0=8.4.0-1ubuntu1~18.04
    - libubsan0=7.5.0-3ubuntu1~18.04
    - libudev1=237-3ubuntu10.57+esm2
    - libunistring2=0.9.9-0ubuntu2
    - libuuid1=2.31.1-0.4ubuntu3.7
    - libwind0-heimdal=7.5.0+dfsg-1ubuntu0.4
    - libwrap0=7.6.q-27
    - libyaml-0-2=0.1.7-2ubuntu3
    - libzstd1=1.3.3+dfsg-2ubuntu1.2
    - linux-libc-dev=4.15.0-232.244
    - lockfile-progs=0.1.17build1
    - login=1:4.5-1ubuntu2.5+esm1
    - lsb-base=9.20170808ubuntu1
    - make=4.1-9.1ubuntu1
    - mawk=1.3.3-17ubuntu3
    - mime-support=3.60ubuntu1
    - mount=2.31.1-0.4ubuntu3.7
    - multiarch-support=2.27-3ubuntu1.6+esm3
    - ncurses-base=6.1-1ubuntu1.18.04.1+esm2
    - ncurses-bin=6.1-1ubuntu1.18.04.1+esm2
    - openssh-client=1:7.6p1-4ubuntu0.7+esm3
    - openssl=1.1.1-1ubuntu2.1~18.04.23+esm5
    - optipng=0.7.6-1.1
    - passwd=1:4.5-1ubuntu2.5+esm1
    - patch=2.7.6-2ubuntu1.1
    - perl-base=5.26.1-6ubuntu0.7
    - perl-modules-5.26=5.26.1-6ubuntu0.7
    - perl=5.26.1-6ubuntu0.7
    - pinentry-curses=1.1.0-1
    - pkgbinarymangler=138.18.04.2
    - policyrcd-script-zg2=0.1-3
    - procps=2:3.3.12-3ubuntu1.2+esm1
    - python3-certifi=2018.1.18-2
    - python3-chardet=3.0.4-1
    - python3-debian=0.1.32
    - python3-idna=2.6-1ubuntu0.1~esm1
    - python3-minimal=3.6.7-1~18.04
    - python3-pkg-resources=39.0.1-2ubuntu0.1+esm1
    - python3-requests=2.18.4-2ubuntu0.1+esm1
    - python3-six=1.11.0-2
    - python3-urllib3=1.22-1ubuntu0.18.04.2+esm2
    - python3-yaml=3.12-1build2
    - python3.6-minimal=3.6.9-1~18.04ubuntu1.13+esm2
    - python3.6=3.6.9-1~18.04ubuntu1.13+esm2
    - python3=3.6.7-1~18.04
    - readline-common=7.0-3
    - sed=4.4-2
    - sensible-utils=0.0.12
    - shellcheck=0.4.6-1
    - snapd=2.61.4ubuntu0.18.04.1+esm1
    - socat=1.7.3.2-2ubuntu2
    - squashfs-tools=1:4.3-6ubuntu0.18.04.4
    - squashfuse=0.1.100-0ubuntu2
    - sudo=1.8.21p2-3ubuntu1.6
    - systemd-sysv=237-3ubuntu10.57+esm2
    - systemd=237-3ubuntu10.57+esm2
    - sysvinit-utils=2.88dsf-59.10ubuntu1
    - tar=1.29b-2ubuntu0.4+esm1
    - tzdata=2024a-0ubuntu0.18.04.1+esm1
    - ubuntu-keyring=2018.09.18.1~18.04.2
    - udev=237-3ubuntu10.57+esm2
    - util-linux=2.31.1-0.4ubuntu3.7
    - wget=1.19.4-1ubuntu2.2+esm1
    - xz-utils=5.2.2-1.3ubuntu0.1
    - zlib1g=1:1.2.11.dfsg-0ubuntu2.2
    installed-snaps:
    - core18=2846
    - core20=2434
    - snapcraft=13058
    - snapd=23545
    override-prime: |
      unset LD_LIBRARY_PATH;
      export PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/snap/bin"
      # ensure snapcraftctl is found, see
      # https://github.com/snapcore/snapcraft/pull/2251
      export PATH="$PATH:/snap/snapcraft/current/bin/scriptlet-bin"
      snapcraftctl prime
      # ensure build-in tests are run
      cd ${SNAPCRAFT_PART_SRC} && make test TESTDIR=/build/core18/prime
    override-pull: |
      unset LD_LIBRARY_PATH;
      snapcraftctl set-version "$(/bin/date +%Y%m%d)"
      snapcraftctl pull
    override-stage: |
      unset LD_LIBRARY_PATH;
      export PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/snap/bin"
      # ensure snapcraftctl is found, see
      # https://github.com/snapcore/snapcraft/pull/2251
      export PATH="$PATH:/snap/snapcraft/current/bin/scriptlet-bin"
      snapcraftctl stage
    plugin: make
    prime:
    - .disk
    - ./*
    source: .
    stage:
    - .disk
    - ./*
    stage-packages: []
    uname: 'Linux 6.8.0-51-generic #52-Ubuntu SMP PREEMPT_DYNAMIC Thu Dec  5 13:09:44
      UTC 2024 x86_64 x86_64 x86_64 GNU/Linux'
architectures:
- amd64
version: '20250123'
grade: stable
image-info:
  build-request-id: lp-95428673
  build-request-timestamp: '2025-01-23T20:26:23Z'
  build_url: https://launchpad.net/~ubuntu-core-service/+snap/core18/+build/2710879
build-packages:
- libyaml-0-2=0.1.7-2ubuntu3
- python3-certifi=2018.1.18-2
- python3-chardet=3.0.4-1
- python3-debian=0.1.32
- python3-idna=2.6-1ubuntu0.1~esm1
- python3-pkg-resources=39.0.1-2ubuntu0.1+esm1
- python3-requests=2.18.4-2ubuntu0.1+esm1
- python3-six=1.11.0-2
- python3-urllib3=1.22-1ubuntu0.18.04.2+esm2
- python3-yaml=3.12-1build2
- shellcheck=0.4.6-1
- wget=1.19.4-1ubuntu2.2+esm1
build-snaps: []
primed-stage-packages: []
